;ENTRADAS DE LA RUTINA DE INYECCION DE TILES EN EL BUFFER DE PANTALLA INTERMEDIO
;HL= DIR.EN EL BUFFER DE PANTALLA ( ) DEL TILE A GUARDAR.  DATO QUE VIENE DE C_TILEDIRBUFF
;DE= TILE_A GUARDAR
;BC= ALTO Y ANCHO DEL TILE A GUARDAR (FILA Y COLUMNAS)

INY_TILEATT:

        PUSH HL
        POP DE        ;TRANSFIERO EL VALOR DE HL A DE
        LD A,(POTI_IA)
        LD L,A
        LD A,(POTI_IA+1)
        LD H,A
        LD A,(AL_TILE)
        SRL A
        SRL A
        SRL A         ;DIVIDO ENTRE 8 PARA SABER LOS CHARS DE LA ALTURA
        LD B,A
INY_BAT PUSH BC
        LD A,(AN_TILE)
        PUSH DE
        LD C,A
        LD B,0
        LDIR          ;TRANSFIERO LOS x SCANNES (POR ANCHURA) DE HL A DE
        POP DE
        LD A,#20      ;SUMAMOS 32 PARA INYECTAR EL SIGUIENTE SCANN EN EL BUFFER
        ADD A,E
        LD E,A
        JR NC,SUMHAT
        INC D          ;SUMO EL ACARREO A D
SUMHAT
        POP BC
        DJNZ INY_BAT
        RET
;HEMOS VOLCADO EL TILE X SEGUN LOS DATOS DE LA PANTALLA X EN SU POSICION DENTRO DEL BUFFER INTERMEDIO.
